> For the complete documentation index, see [llms.txt](https://docs.arkannis.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.arkannis.net/database/oracle-sql-pl-sql/oracle-sql-cheatsheet.md).

# Oracle SQL Cheatsheet

### Check Max Memory

* Issue:

```sql
ORA-04036: PGA memory used by the instance exceeds PGA_AGGREGATE_LIMIT
```

* Check memory:

```sql
select sum(pga_max_mem)/1024/1024 "TOTAL MAX PGA (MB)"from v$process;
```

* Check PGA limit:

```sql
show parameter pga_aggregate_limit;
```

### Check FS Size

```sql
select * from dba_segments;
select * from dba_data_files;
select * from dba_free_space;

-- IN GB:
select sum(bytes/(1024*10204*1024)) from dba_segments;
select sum(bytes/(1024*10204*1024)) from dba_data_files;
select sum(bytes/(1024*10204*1024)) from dba_free_space;
```

### Check user password expiry

```sql
SELECT * FROM USER_USERS;
```

### Check number of sessions

```sql
SELECT  COUNT(*) FROM v$session
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.arkannis.net/database/oracle-sql-pl-sql/oracle-sql-cheatsheet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
